#################################################################
#								#
# SPEC File for "All RPMS Distribs"				#
#								#
#################################################################

%define	ver	1.4.2
%define	prefix	/usr

Summary: Video4Linux Stream Capture Viewer and Descrambler
Name: xawdecode-plugin
Version: %{ver}
Release: 1mdk
Copyright: GPL
Packager: X
Distribution: All Linux Distributions
Source:	%{name}-%{version}.tar.gz
Group: X11/Applications
Requires: xawdecode >= 1.6.5-0
BuildRequires: xawdecode-devel >= 1.6.5-0
BuildRoot: /var/tmp/%{name}-%{version}.root

%description
Descrambler plugin for Xawdecode

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --with-xawdecode-prefix=%{prefix}
make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{prefix} install

%files
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog Readme.txt lisez-moi FAQfr-xawdecode-plugin lisez-moi.txt FAQfr-xawdecode-plugin.txt
%doc lircrc.miro.sample lircrc.hauppauge.sample xawdecoderc.sample
%{prefix}/lib/*
%{prefix}/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
PATH="$PATH:/sbin" ldconfig -n %{prefix}/lib

%changelog
* Wed Oct 2 2002 X
- ver 1.4.2 

