.text
.globl putline    # putline   (int i1, int i2, int offset32, int y, int perm_y, int xsize, void* p2, void* p1)
.globl putlinedup # putlinedup(int i1, int i2, int offset32, int y, int perm_y, int xsize, void* p2, void* p1, void* p2dup)
.globl putlinesw
.extern colortable
.extern bpp

putline: 
                pushl %ebp
                movl %esp,%ebp
                pushl %edi
                pushl %ebx

                cmpl $24, bpp
                jae putline32

                movl 0x18(%ebp),%eax    # offset32
                testl %eax,%eax
                js  putline.m2
                cmpl $0x00000020,%eax
                jae putline.m1
                subl 0x10(%ebp),%eax    # i2

putline.m1:     subl 0x14(%ebp),%eax
                leal 0x4E0(,%eax,4),%edi
                movl 0x08(%ebp),%eax
                movl 0x0C(%ebp),%ebx
                andl $00000001,%eax
                andl $00000001,%ebx
                leal (%ebx,%eax,2),%eax
                addl %eax,%edi
                leal colortable(,%edi,8),%edi

putline.m2:     movl 0x24(%ebp),%edx
                movl 0x1C(%ebp),%ecx
                movq (%edi),%mm7
                movq putline.40D480,%mm4
                shrl $3,%ecx
                movl 0x20(%ebp),%ebx
                movq (%edx),%mm0
                addl $8,%edx
                subl $8,%ebx
                jmp putline.m4


.align 16
putline.m3:     movq (%edx),%mm0
                addl $8,%edx
                movq %mm2,(%ebx)

putline.m4:     movq %mm0,%mm2
                psubb putline.40D4C8,%mm0
                addl $8,%ebx                    #0x00000010
                psraw $8,%mm0
                pand %mm4,%mm2
                movq %mm0,%mm1
                punpckldq %mm0,%mm0
                psrlw $1,%mm2
                pmaddwd %mm7,%mm0
                punpckhdq %mm1,%mm1
                movq %mm2,%mm5
                pmaddwd %mm7,%mm1
                punpcklbw %mm2,%mm2
                psrad $0x0B,%mm0
                psrad $0x0B,%mm1
                packssdw %mm1,%mm0
                packssdw %mm1,%mm1
                paddsw %mm0,%mm0
                punpckhbw %mm5,%mm5
                movq %mm0,%mm6
                movq putline.40D4D0,%mm3
                punpckldq %mm6,%mm6
                pmulhw %mm3,%mm6
                punpckhdq %mm0,%mm0
                pmulhw %mm3,%mm0
                movq %mm2,%mm1
                psllq $8,%mm2
                movq %mm6,%mm3
                psrlq $0x30,%mm6
                por %mm1,%mm2
                paddsw %mm3,%mm6
                movq %mm5,%mm3
                psllq $8,%mm5
                packsswb %mm6,%mm6
                movq %mm0,%mm1
                psrlq $0x30,%mm0
                por %mm3,%mm5
                paddsw %mm1,%mm0
                pxor %mm1,%mm1
                packsswb %mm0,%mm0
                pxor %mm3,%mm3
                paddsb %mm0,%mm5
                paddsb %mm6,%mm2
                pcmpgtb %mm5,%mm3
                pandn %mm5,%mm3
                pcmpgtb %mm2,%mm1
                movq %mm3,%mm0
                pand %mm4,%mm3
                psrld $0x0A,%mm0
                pandn %mm2,%mm1
                pslld $0x1B,%mm0        # 0x1A
                movq %mm3,%mm5
                psrlw $2,%mm3
                movq %mm1,%mm2
                psrld $1,%mm5           # 02
                pand %mm4,%mm1
                pslld $0x15,%mm5
                por %mm0,%mm5
                movq %mm1,%mm0
                psrlw $2,%mm1
                por %mm3,%mm5
                psrld $1,%mm0           # 02
                pslld $0x15,%mm0
                psrad $0x10,%mm5
                por %mm0,%mm1
                psrld $0x0A,%mm2
                pslld $0x1B,%mm2        # 0x1A
                por %mm1,%mm2
                psrad $0x10,%mm2
                decl %ecx
                packssdw %mm5,%mm2
                jne putline.m3
                movq %mm2,(%ebx)

                emms
                popl %ebx
                popl %edi
                popl %ebp
                ret

putline32:

                movl 0x18(%ebp),%eax    # offset32
                testl %eax,%eax
                js  putline32.m2
                cmpl $0x00000020,%eax
                jae putline32.m1
                subl 0x10(%ebp),%eax    # i2

putline32.m1:   subl 0x14(%ebp),%eax
                leal 0x4E0(,%eax,4),%edi
                movl 0x08(%ebp),%eax
                movl 0x0C(%ebp),%ebx
                andl $00000001,%eax
                andl $00000001,%ebx
                leal (%ebx,%eax,2),%eax
                addl %eax,%edi
                leal colortable(,%edi,8),%edi

putline32.m2:   movl 0x24(%ebp),%edx
                movl 0x1C(%ebp),%ecx
                movq (%edi),%mm7
                movq putline.40D480,%mm4
                shrl $3,%ecx
                movl 0x20(%ebp),%ebx
                movq (%edx),%mm0
                addl $8,%edx
                subl $8,%ebx
                jmp putline32.m4


.align 16
putline32.m3:   movq (%edx),%mm0
                addl $8,%edx

                movq %mm2,(%ebx)
                addl $8,%ebx
                movq %mm5,(%ebx)

putline32.m4:   movq %mm0,%mm2
                psubb putline.40D4C8,%mm0
                addl $8,%ebx                    #0x00000010
                psraw $8,%mm0
                pand %mm4,%mm2
                movq %mm0,%mm1
                punpckldq %mm0,%mm0
                psrlw $1,%mm2
                pmaddwd %mm7,%mm0
                punpckhdq %mm1,%mm1
                movq %mm2,%mm5
                pmaddwd %mm7,%mm1
                punpcklbw %mm2,%mm2
                psrad $0x0B,%mm0
                psrad $0x0B,%mm1
                packssdw %mm1,%mm0
                packssdw %mm1,%mm1
                paddsw %mm0,%mm0
                punpckhbw %mm5,%mm5
                movq %mm0,%mm6
                movq putline.40D4D0,%mm3
                punpckldq %mm6,%mm6
                pmulhw %mm3,%mm6
                punpckhdq %mm0,%mm0
                pmulhw %mm3,%mm0

                movq %mm2,%mm1
                psllq $8,%mm2
                por %mm1,%mm2

                movq %mm6,%mm3
                psrlq $0x30,%mm6
                paddsw %mm3,%mm6
                packsswb %mm6,%mm6

                movq %mm5,%mm3
                psllq $8,%mm5
                por %mm3,%mm5

                movq %mm0,%mm1
                psrlq $0x30,%mm0
                paddsw %mm1,%mm0
                packsswb %mm0,%mm0

                paddsb %mm0,%mm5
                paddsb %mm6,%mm2

                pxor %mm1,%mm1
                pxor %mm3,%mm3
                pcmpgtb %mm5,%mm3
                pandn %mm5,%mm3
                pcmpgtb %mm2,%mm1
                pandn %mm2,%mm1

                movq %mm3,%mm0
                psrld $0x0A,%mm0        # t
                pslld $0x13,%mm0        # R

                pand %mm4,%mm3
                movq %mm3,%mm5

                psrld $1,%mm5           # t
                psllw $0x0A,%mm5        # G
                por %mm0,%mm5

                psrlw $0x02,%mm3
                psrld $0x0d,%mm3         # t
                por %mm3,%mm5            # B

                movq %mm1,%mm2
                pand %mm4,%mm1
                movq %mm1,%mm0

                psrld $1,%mm0           # t
                psllw $0x0A,%mm0        # G

                psrlw $0x02,%mm1
                psrld $0x0d,%mm1        # t
                por %mm0,%mm1           # B

                psrld $0x0A,%mm2        # t
                pslld $0x13,%mm2        # R
                por %mm1,%mm2

                decl %ecx
                jne putline32.m3
                movq %mm2,(%ebx)
                addl $8,%ebx
                movq %mm5,(%ebx)

                emms
                popl %ebx
                popl %edi
                popl %ebp
                ret

putline.40D480: .long 0x00ff00ff,0x00ff00ff
putline.40D4C8: .long 0x80008000,0x80008000
putline.40D4D0: .byte 0xbf+5,0xf9+5,0x89+5,0x19+5,0x49+5,0x20+5,0xfe+5,0xf2+5


putlinedup: 
                pushl %ebp
                movl %esp,%ebp
                pushl %edi
                pushl %ebx

                cmpl $24, bpp
                jae putlinedup32

                movl 0x18(%ebp),%eax
                testl %eax,%eax
                js  putlinedup.m2
                cmpl $0x00000020,%eax
                jae putlinedup.m1
                subl 0x10(%ebp),%eax

putlinedup.m1:  subl 0x14(%ebp),%eax
                leal 0x4E0(,%eax,4),%edi
                movl 0x08(%ebp),%eax
                movl 0x0C(%ebp),%ebx
                andl $00000001,%eax
                andl $00000001,%ebx
                leal (%ebx,%eax,2),%eax
                addl %eax,%edi
                leal colortable(,%edi,8),%edi

putlinedup.m2:  movl 0x24(%ebp),%edx
                movl 0x1C(%ebp),%ecx
                movq (%edi),%mm7
                movq putlinedup.40D480,%mm4
                shrl $3,%ecx
                movl 0x20(%ebp),%ebx
                movl 0x28(%ebp),%eax
                movq (%edx),%mm0
                addl $8,%edx
                subl $8,%ebx
                subl $8,%eax
                jmp putlinedup.m4

.align 16
putlinedup.m3:  movq (%edx),%mm0
                addl $8,%edx
                movq %mm2,(%ebx)
                movq %mm2,(%eax)

putlinedup.m4:  movq %mm0,%mm2
                psubb putlinedup.40D4C8,%mm0
                addl $8,%ebx
                addl $8,%eax
                psraw $8,%mm0
                pand %mm4,%mm2
                movq %mm0,%mm1
                punpckldq %mm0,%mm0
                psrlw $1,%mm2
                pmaddwd %mm7,%mm0
                punpckhdq %mm1,%mm1
                movq %mm2,%mm5
                pmaddwd %mm7,%mm1
                punpcklbw %mm2,%mm2
                psrad $0x0B,%mm0
                psrad $0x0B,%mm1
                packssdw %mm1,%mm0
                packssdw %mm1,%mm1
                paddsw %mm0,%mm0
                punpckhbw %mm5,%mm5
                movq %mm0,%mm6
                movq putlinedup.40D4D0,%mm3
                punpckldq %mm6,%mm6
                pmulhw %mm3,%mm6
                punpckhdq %mm0,%mm0
                pmulhw %mm3,%mm0
                movq %mm2,%mm1
                psllq $8,%mm2
                movq %mm6,%mm3
                psrlq $0x30,%mm6
                por %mm1,%mm2
                paddsw %mm3,%mm6
                movq %mm5,%mm3
                psllq $8,%mm5
                packsswb %mm6,%mm6
                movq %mm0,%mm1
                psrlq $0x30,%mm0
                por %mm3,%mm5
                paddsw %mm1,%mm0
                pxor %mm1,%mm1
                packsswb %mm0,%mm0
                pxor %mm3,%mm3
                paddsb %mm0,%mm5
                paddsb %mm6,%mm2
                pcmpgtb %mm5,%mm3
                pandn %mm5,%mm3
                pcmpgtb %mm2,%mm1
                movq %mm3,%mm0
                pand %mm4,%mm3
                psrld $0x0A,%mm0
                pandn %mm2,%mm1
                pslld $0x1B,%mm0        # 0x1A
                movq %mm3,%mm5
                psrlw $2,%mm3
                movq %mm1,%mm2
                psrld $1,%mm5           # 02
                pand %mm4,%mm1
                pslld $0x15,%mm5
                por %mm0,%mm5
                movq %mm1,%mm0
                psrlw $2,%mm1
                por %mm3,%mm5
                psrld $1,%mm0           # 02
                pslld $0x15,%mm0
                psrad $0x10,%mm5
                por %mm0,%mm1
                psrld $0x0A,%mm2
                pslld $0x1B,%mm2        # 0x1A
                por %mm1,%mm2
                psrad $0x10,%mm2
                decl %ecx
                packssdw %mm5,%mm2
                jne putlinedup.m3
                movq %mm2,(%ebx)
                movq %mm2,(%eax)

                emms
                popl %ebx
                popl %edi
                popl %ebp
                ret

putlinedup32:
                movl 0x18(%ebp),%eax
                testl %eax,%eax
                js  putlinedup32.m2
                cmpl $0x00000020,%eax
                jae putlinedup32.m1
                subl 0x10(%ebp),%eax

putlinedup32.m1:
                subl 0x14(%ebp),%eax
                leal 0x4E0(,%eax,4),%edi
                movl 0x08(%ebp),%eax
                movl 0x0C(%ebp),%ebx
                andl $00000001,%eax
                andl $00000001,%ebx
                leal (%ebx,%eax,2),%eax
                addl %eax,%edi
                leal colortable(,%edi,8),%edi

putlinedup32.m2:
                movl 0x24(%ebp),%edx
                movl 0x1C(%ebp),%ecx
                movq (%edi),%mm7
                movq putlinedup.40D480,%mm4
                shrl $3,%ecx
                movl 0x20(%ebp),%ebx
                movl 0x28(%ebp),%eax
                movq (%edx),%mm0
                addl $8,%edx
                subl $8,%ebx
                subl $8,%eax
                jmp putlinedup32.m4

.align 16
putlinedup32.m3:

                movq (%edx),%mm0
                addl $8,%edx

                movq %mm2,(%ebx)
                movq %mm2,(%eax)
                addl $8,%ebx
                addl $8,%eax
                movq %mm5,(%ebx)
                movq %mm5,(%eax)

putlinedup32.m4:
                movq %mm0,%mm2
                psubb putlinedup.40D4C8,%mm0
                addl $8,%ebx
                addl $8,%eax
                psraw $8,%mm0
                pand %mm4,%mm2
                movq %mm0,%mm1
                punpckldq %mm0,%mm0
                psrlw $1,%mm2
                pmaddwd %mm7,%mm0
                punpckhdq %mm1,%mm1
                movq %mm2,%mm5
                pmaddwd %mm7,%mm1
                punpcklbw %mm2,%mm2
                psrad $0x0B,%mm0
                psrad $0x0B,%mm1
                packssdw %mm1,%mm0
                packssdw %mm1,%mm1
                paddsw %mm0,%mm0
                punpckhbw %mm5,%mm5
                movq %mm0,%mm6
                movq putline.40D4D0,%mm3
                punpckldq %mm6,%mm6
                pmulhw %mm3,%mm6
                punpckhdq %mm0,%mm0
                pmulhw %mm3,%mm0

                movq %mm2,%mm1
                psllq $8,%mm2
                por %mm1,%mm2

                movq %mm6,%mm3
                psrlq $0x30,%mm6
                paddsw %mm3,%mm6
                packsswb %mm6,%mm6

                movq %mm5,%mm3
                psllq $8,%mm5
                por %mm3,%mm5

                movq %mm0,%mm1
                psrlq $0x30,%mm0
                paddsw %mm1,%mm0
                packsswb %mm0,%mm0

                paddsb %mm0,%mm5
                paddsb %mm6,%mm2

                pxor %mm1,%mm1
                pxor %mm3,%mm3
                pcmpgtb %mm5,%mm3
                pandn %mm5,%mm3
                pcmpgtb %mm2,%mm1
                pandn %mm2,%mm1

                movq %mm3,%mm0
                psrld $0x0A,%mm0        # t
                pslld $0x13,%mm0        # R

                pand %mm4,%mm3
                movq %mm3,%mm5

                psrld $1,%mm5           # t
                psllw $0x0A,%mm5        # G
                por %mm0,%mm5

                psrlw $0x02,%mm3
                psrld $0x0d,%mm3         # t
                por %mm3,%mm5            # B

                movq %mm1,%mm2
                pand %mm4,%mm1
                movq %mm1,%mm0

                psrld $1,%mm0           # t
                psllw $0x0A,%mm0        # G

                psrlw $0x02,%mm1
                psrld $0x0d,%mm1        # t
                por %mm0,%mm1           # B

                psrld $0x0A,%mm2        # t
                pslld $0x13,%mm2        # R
                por %mm1,%mm2

                decl %ecx
                jne putlinedup32.m3
                  movq %mm2,(%ebx)
                  movq %mm2,(%eax)
                  addl $8,%ebx
                  addl $8,%eax
                  movq %mm5,(%ebx)
                  movq %mm5,(%eax)

                emms

                popl %ebx
                popl %edi
                popl %ebp
                ret

putlinedup.40D480: .long 0x00ff00ff,0x00ff00ff
putlinedup.40D4C8: .long 0x80008000,0x80008000
putlinedup.40D4D0: .byte 0xbf+5,0xf9+5,0x89+5,0x19+5,0x49+5,0x20+5,0xfe+5,0xf2+5

putlinesw: 
        pushl %ebp
        movl %esp,%ebp
        subw $0x40,%sp
        pushl %ebx
        pushl %esi
        pushl %ecx
        movl 8(%ebp),%ebx      # src
        movl 12(%ebp),%esi     # dest
        movl 16(%ebp),%ecx     # size 
        shrl $2,%ecx

        movq ands,%mm6
        .align 16
putlinesw.contsw: 
        movq (%ebx),%mm1
        pand  %mm6,%mm1
        psrlw $3,%mm1
        movq %mm1,%mm2
        psllw $6,%mm2
        movq %mm1,%mm3
        psllw $11,%mm3
        por %mm2,%mm1
        por %mm3,%mm1
        movq %mm1,(%esi)
        addl $8,%esi
        addl $8,%ebx
        decl %ecx
        jnz putlinesw.contsw
        popl %ecx
        popl %esi
        popl %ebx
        emms
        leave
        ret
ands:            .long 0x00f800f8, 0x00f800f8


