.set CX_COUNT, 32
## LD_CX_COUNT = ld(2*CX_COUNT)  ld(x)=base-2 logarithm of x
.set LD_CX_COUNT, 6

.global correlation # (unsigned short *lines)

.extern correl_lines,couple_index,couple_index_nb

.text
        .align 16
correlation: 
        pushl   %ebp
        movl    %esp,%ebp
        subl    $4,%esp
        pushl   %edi
        pushl   %esi
        pushl   %ebx

        movl    $correl_lines, %ecx

        movq    correlation.one,%mm5
        xorl    %ebx,%ebx

        .align 16
M2:     movl    couple_index(,%ebx,4),%eax       # v=couple_index[i]
        movl    %eax,%edx
        shrl    $9,%eax                 # y1=v >> 9
        shll    $LD_CX_COUNT, %eax      # ld (CX_COUNT*2)
        movl    8(%ebp), %esi           # lines
        movl    %esi,%edi
        addl    %eax,%esi

        andl    $0x1ff,%edx             # y2=v & 0x1ff
        shll    $LD_CX_COUNT, %edx      # ld (CX_COUNT*2)
        addl    %edx,%edi

        pxor   %mm3,%mm3               # mm3=s=0
.set i, 0
.rept CX_COUNT/4
        movq    i*8(%esi), %mm0
        movq    i*8(%edi), %mm1
        movq    %mm0,%mm2               # mm0 sichern
        psubusw %mm1,%mm0               # mm0 = mm0 - mm1 (saturated)
        psubusw %mm2,%mm1               # mm1 = mm1 - mm2 (saturated)
        por     %mm1,%mm0               # mm0 = mm0 | mm1
        paddw   %mm0,%mm3       # s+=word (>=0)
.set i, i+1
.endr
        movq    %mm3,%mm4
        psrlq   $32,%mm3
        paddw   %mm4,%mm3       # w0 + w2 , w1 + w3 -> mm3
        movq    %mm3,%mm4
        psrlq   $16,%mm4
        paddw   %mm4,%mm3
        movd    %mm3,%eax       # eax = s
        andl    $0xffff,%eax
        incl    %ebx
        movl    %eax,(%ecx)
        addl    $4,%ecx
        cmpl    couple_index_nb,%ebx
        jne     M2

        emms
        popl    %ebx
        popl    %esi
        popl    %edi
        movl    %ebp,%esp
        popl    %ebp
        ret

correlation.one: .long 0x00010001,0x00010001
