#ifndef NAGRA_H
#define NAGRA_H

void read_keys (void);

void init_decode (void);

unsigned short yuv_to_rgb16tab
  (unsigned char y, unsigned char v, unsigned char u, int diff);

void decode_fullframe_YUV_sw
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

void decode_fullframe_YUV_hw
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

void decode_fullframe_RGB
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

void decode_halfframe_YUV_sw
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

void decode_halfframe_YUV_hw
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

void decode_halfframe_RGB
  (unsigned char *dest,
   unsigned char *src,
   int xsize_dest, int xsize_src, int ysize, int dest_xsize);

#endif
